Gecode::Support::IntTypeTraits< signed char > Class Reference

Traits for signed char. More...

`#include <int-type.hpp>`

## Public Types

typedef unsigned char | utype
| Corresponding unsigned type.
typedef signed char | stype
| Corresponding signed type.

## Static Public Attributes

static const signed char | min = SCHAR_MIN
| Minimal value.
static const signed char | max = SCHAR_MAX
| Maximal value.
static const IntType | description = IT_CHAR
| Description of type.

## Detailed Description

Traits for signed char.

Definition at line 56 of file int-type.hpp.

## Member Typedef Documentation

## utype

typedef unsigned char Gecode::Support::IntTypeTraits< signed char >::utype

Corresponding unsigned type.

Definition at line 59 of file int-type.hpp.

## stype

typedef signed char Gecode::Support::IntTypeTraits< signed char >::stype

Corresponding signed type.

Definition at line 61 of file int-type.hpp.

## Member Data Documentation

## min

const signed char Gecode::Support::IntTypeTraits< signed char >::min = SCHAR_MIN

static

Minimal value.

Definition at line 63 of file int-type.hpp.

## max

const signed char Gecode::Support::IntTypeTraits< signed char >::max = SCHAR_MAX

static

Maximal value.

Definition at line 65 of file int-type.hpp.

## description

const IntType Gecode::Support::IntTypeTraits< signed char >::description = IT_CHAR

static

Description of type.

Definition at line 67 of file int-type.hpp.

The documentation for this class was generated from the following file:

- gecode/support/int-type.hpp